Skip to main content
GET
/
api2
/
v1
/
quotes
/
{quoteUid}
Get quote
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/quotes/{quoteUid} \
  --header 'Authorization: <api-key>'
{
  "analyseUid": "<string>",
  "createdBy": {
    "email": "<string>",
    "firstName": "<string>",
    "id": "<string>",
    "lastName": "<string>",
    "uid": "<string>",
    "userName": "<string>"
  },
  "currency": "<string>",
  "customerEmail": "<string>",
  "dateCreated": "2023-11-07T05:31:56Z",
  "editable": true,
  "id": 123,
  "innerId": 123,
  "name": "<string>",
  "netRateScheme": {
    "createdBy": {
      "email": "<string>",
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "uid": "<string>",
      "userName": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "isDefault": true,
    "name": "<string>",
    "uid": "<string>"
  },
  "outdated": true,
  "priceList": {
    "id": "<string>",
    "name": "<string>",
    "uid": "<string>"
  },
  "provider": {
    "type": "<string>",
    "id": "<string>",
    "uid": "<string>"
  },
  "totalPrice": 123,
  "uid": "<string>",
  "workflowStepList": [
    {
      "id": "<string>",
      "lqaEnabled": true,
      "name": "<string>",
      "order": 123,
      "uid": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

quoteUid
string
required

Response

successful operation

analyseUid
string

UID of the analysis this quote was generated from; null if not analysis-based

billingUnit
enum<string>

Billing unit used for pricing

Available options:
Character,
Word,
Page,
Hour
createdBy
object
currency
string

Currency code (ISO 4217) of the quote

customerEmail
string

Customer email address for the quote; null if not set

dateCreated
string<date-time>

Date and time the quote was created

editable
boolean

When true, the calling user may edit this quote

id
integer<int64>

Internal numeric identifier

innerId
integer<int32>

Sequential quote number within the project

name
string

Quote name; defaults to "Quote #" when not explicitly set

netRateScheme
object
outdated
boolean

When true, the quote is outdated and should be recalculated

priceList
object
provider
object
quoteType
enum<string>

Type of the quote

Available options:
BUYER,
PROVIDER
status
enum<string>

Current status of the quote

Available options:
APPROVED,
DECLINED,
DRAFT,
FOR_APPROVAL,
NEW
totalPrice
number<double>

Total price of the quote; null if not yet calculated

uid
string

Unique identifier used in API paths

workflowStepList
object[]

Workflow steps included in the quote